Subject: Re: [PATCH v3 2/3] hvc_init(): Enforce one-time initialization.

From: Rusty Russell <[email-masked]>
Date: Mon, 21 Nov 2011 15:31:04 +1030

On Thu, 17 Nov 2011 10:57:37 -0800, Miche Baker-Harvey <[email-masked]> wrote:
> Rusty, Michael, Stephen, et al,
> 
> Thanks for your comments on these patches.
> 
> For what I'm trying to do, all three patches are necessary, but maybe
> I'm going about it the wrong way. Your input would be appreciated.
> I'm in no way claiming that these patches are "right", just that it's
> working for me, and that what's in the current pool is not.

We have to *understand* the code.  If we don't, we need to rewrite the
code so we *do* understand it, or make way for someone who does.

I'm looking at the kvm man page to try to figure out how to have virtio
console, and it's deeply unclear.  What kvm commandline are you using?
I'll try to debug it here, and see what I learn about hvc_console.

Cheers,
Rusty.